"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types_1 = require("../../types");
const token_math_1 = require("@melonproject/token-math");
exports.normalizeOrder = (options, type, [price, volume]) => {
    const oid = Buffer.from(`${types_1.Exchange.KRAKEN}:${price}`).toString('base64');
    const trade = token_math_1.createPrice(token_math_1.createQuantity(options.pair.base, volume), token_math_1.createQuantity(options.pair.quote, price * volume));
    return {
        id: oid,
        exchange: types_1.Exchange.KRAKEN,
        type,
        trade,
    };
};
