import { Order, Options, AnyOrderMessage } from './types';
import { TokenInterface } from '@melonproject/token-math';
export declare const isBidOrder: (obj: any) => boolean;
export declare const isAskOrder: (obj: any) => boolean;
export declare const createOrderbook: (options: Options, orders: Order[]) => {
    quote: TokenInterface;
    base: TokenInterface;
    network: import("./types").Network;
    asks: Order[];
    bids: Order[];
};
export declare const sortOrders: (a: Order, b: Order) => number;
export declare const reduceOrderVolumes: (carry: Order[], order: Order, index: number) => Order[];
export declare const reduceOrderEvents: (carry: Order[], current: AnyOrderMessage) => Order[];
